## cdebconf 0.84ubuntu11

=== debian/changelog ===
cdebconf (0.84ubuntu11) breezy; urgency=low

  * Update translations from Rosetta and Debian: French, Hungarian,
    Norwegian Bokmål.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  4 Oct 2005 18:22:35 +0100

cdebconf (0.84ubuntu10) breezy; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update Ubuntu-specific translations from Rosetta (with some strings from
    Debian where available): Greek, Spanish, Hungarian, Dutch, Portuguese,
    Brazilian Portuguese, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 18:14:02 +0100

cdebconf (0.84ubuntu9) breezy; urgency=low

  * Add debconf/key-press template so that it can be translated.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Sep 2005 22:10:12 +0100

cdebconf (0.84ubuntu8) breezy; urgency=low

  * Backport from trunk (closes: Ubuntu #7949):
    - Remove hardcoded limit on length of DATA commands.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Sep 2005 15:17:46 +0100

cdebconf (0.84ubuntu7) breezy; urgency=low

  * Backport from trunk:
    - Fix slightly broken memory allocation in escapestr(); we need to
      allocate an extra byte for every newline in the string.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2005 15:06:23 +0100

cdebconf (0.84ubuntu6) breezy; urgency=low

  * Backport from trunk:
    - Make debconf-loadtemplate check whether each question is registered to
      some different template and, if so, re-register them to the loaded
      template. This causes preseeded-as-seen questions to be displayed
      using their real templates rather than debian-installer/dummy.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Sep 2005 12:29:55 +0100

cdebconf (0.84ubuntu5) breezy; urgency=low

  * Backport from trunk, working around problems with translations of
    timezone and apt configuration:
    - Don't bother to save the target templatedb in debconf-copydb unless
      any templates were actually changed.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Sep 2005 13:51:19 +0100

cdebconf (0.84ubuntu4) breezy; urgency=low

  * Fix bad separation of choices in debconf/priority template (closes:
    Ubuntu #13963).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Sep 2005 18:32:57 +0100

cdebconf (0.84ubuntu3) breezy; urgency=low

  * Rebuild with the new cairo version

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 18 Aug 2005 17:14:16 +0000

cdebconf (0.84ubuntu2) breezy; urgency=low

  [ Tollef Fog Heen ]
  * When copying questions in debconf-copydb, make sure that the template
    referred to exists in the target database.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 17 Aug 2005 14:02:50 +0200

cdebconf (0.84ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Aug 2005 14:45:18 +0100

cdebconf (0.84) unstable; urgency=low

  * Fix horrible argv initialisation code in gtk frontend.
  * Add gtk frontend to cdebconf.deb; enable cdebconf-gtk-udeb.
  * Fix some compiler warnings in gtk frontend.
  * Reap child processes when SIGCHLD is received, otherwise we may hang in
    read().

  * Updated translations:
    - German (de.po)
    - Basque (eu.po)
    - Persian (fa.po) by Arash Bijanzadeh
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Fri,  5 Aug 2005 14:10:28 +0100

cdebconf (0.83) unstable; urgency=low

  * Disable flow control in the newt frontend. It's very confusing when you
    press Ctrl-S by accident and wonder why the installer stopped accepting
    input.
  * Fix memory leak in confmodule_communicate.

  * Updated translations:
    - German (de.po) by Dennis Stampfer
    - Esperanto (eo.po) by Serge Leblanc
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarre Beobide Egaña
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Macedonian (mk.po) by Georgi Stanojevski
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Slovenian (sl.po) by Jure Čuhalev
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 11:26:08 +0100

cdebconf (0.82) unstable; urgency=low

  [ Colin Watson ]
  * Simplify strchoicesplit() slightly.
  * Use (char *) 0 as the sentinel to strvacat(), not just 0; this makes a
    difference on some 64-bit systems.
  * Perform printf format string (requires gcc) and sentinel (requires gcc
    >= 4) checking on various function arguments.

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Arief S Fitrianto
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Slovak (sk.po) by Peter Mann
    - Tagalog (tl.po) by Eric Pareja
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 16:41:32 +0300

cdebconf (0.81ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Jun 2005 19:38:07 +0100

cdebconf (0.81) unstable; urgency=low

  * Colin Watson
    - When building the slang frontend against slang2, enable UTF-8
      according to the locale.
    - Add a continue button to string and password questions in the newt
      frontend, although you can still just press Enter in the text entry
      box (closes: #257969).
    - Document <Tab>, <Space>, and <Enter> in a help line for the newt
      frontend (closes: #247233).

