=== debian/changelog ===
cdebconf (0.84ubuntu12) breezy-security; urgency=low

  * Backport from trunk (Malone #34606):
    - Honour accept_types/reject_types for questions registered against
      templates that were received in DATA commands over passthrough. This
      was one of the root causes of Ubuntu's recent installer password
      disclosure vulnerability (CVE-2006-1183).
    - Reset question template pointers whenever they change, not just when
      the tag changes; do this in X_LOADTEMPLATEFILE and dpkg-reconfigure as
      well as debconf-loadtemplate.
    - Add a remove method to the question database; use this to migrate
      questions to the correct stacked database in the event that their
      types change (fixes preseeded passwords ending up in questions.dat on
      the installed system in some cases).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Apr 2006 23:40:43 +0100
