## cdebconf 0.97ubuntu3

=== src/modules/frontend/gtk/Makefile ===
MODULE=gtk
SOBJ=gtk.so
OBJS=gtk.opic
MODCFLAGS=`pkg-config --cflags gtk+-directfb-2.0`

MODLDFLAGS=`pkg-config --libs gtk+-directfb-2.0`

include ../modules.mak
