=== debian/changelog ===
cdebconf (0.97ubuntu3) dapper; urgency=low

  * Backport from trunk:
    - Reset question template pointers whenever they change, not just when
      the tag changes; do this in X_LOADTEMPLATEFILE and dpkg-reconfigure as
      well as debconf-loadtemplate.
    - Add a remove method to the question database; use this to migrate
      questions to the correct stacked database in the event that their
      types change (fixes preseeded passwords ending up in questions.dat on
      the installed system in some cases).
  * Add CVE number to 0.97ubuntu2 changelog entry.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Mar 2006 13:43:30 +0000

cdebconf (0.97ubuntu2) dapper; urgency=low

  * Backport from trunk:
    - Honour accept_types/reject_types for questions registered against
      templates that were received in DATA commands over passthrough. This
      was one of the root causes of Ubuntu's recent installer password
      disclosure vulnerability (CVE-2006-1183).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Mar 2006 02:08:16 +0000

cdebconf (0.97ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Jan 2006 12:14:46 +0000

cdebconf (0.97) unstable; urgency=low

  * Install debconf-communicate in cdebconf.deb.
  * Avoid stdio buffering in debconf-communicate.
  * Add -f/--frontend option to debconf-communicate.
  * Treat 'noninteractive' frontend as an alias for 'none', for
    compatibility with debconf.
  * Set frontend title to "" on initialisation to avoid segfaults in
    debconf-communicate.
  * Fix frontend_go return code so that GO works in the noninteractive
    frontend.

 -- Colin Watson <cjwatson@debian.org>  Tue, 31 Jan 2006 11:53:57 +0000

cdebconf (0.96ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2006 10:26:05 +0000

cdebconf (0.96) unstable; urgency=low

  [ Frans Pop ]
  * Fix crash when console is switched in gtk-frontend (closes: #339379).
    Continue processing when interupt is received from DirectFB while the
    read function is blocked while listening to the client.
    Thanks to Denis Oliver Kropp for helping debug this issue.

  [ Denis Barbier ]
  * Change colors in the newt frontend to have a black background if the
    FRONTEND_BACKGROUND environment variable is set to "dark".  Some people
    can hardly read on a white background (closes: #330418).

  [ Attilio Fiandrotti ]
  * GTK theme from gtkrc file is reloaded every time a question is displayed.
    Minor typos were fixed.
  * BG colour of questions description and extended description in the GTK
    frontend is the same of the main window.
  * Reorganized the GTK frontend code before switching specialized question
    handlers to the plugin system.

  [ Colin Watson ]
  * Fix early return from text_progress_set, broken by progress bar
    cancellation.
  * Add 'cdebconf' extension to man pages to avoid clashing with
    debconf-doc.
  * Actually set TARGET during install target, as apparently expected by
    src/Makefile.in, so that we don't try to install includes into udebs
    (although luckily we failed to do so due to dh_install).
  * Move cdebconf binaries to /usr/lib/cdebconf, leaving symlinks in
    /usr/bin and /usr/sbin behind only in the udeb; drop
    /usr/share/debconf/confmodule and /usr/share/debconf/frontend from the
    deb. This renders cdebconf coinstallable with debconf, although changes
    to the debconf confmodule are required to make it actually useful.
  * Remove cdebconf preinst and postrm, no longer required.
  * Remove dpkg-reconfigure from the udeb; d-i apparently hasn't used it
    since main-menu 0.018. Saves about 4KB.

  [ Updated translations ]
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Romanian (ro.po) by Eddy Petrişor
  * Slovenian (sl.po) by Jure Cuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jan 2006 09:58:17 +0000

cdebconf (0.95ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jan 2006 13:35:31 +0000

cdebconf (0.95) unstable; urgency=low

  [ Colin Watson ]
  * Add progress bar cancellation support, only in the newt frontend for
    now. If you send 'CAPB progresscancel', then PROGRESS SET, PROGRESS
    STEP, and PROGRESS INFO may return 30 to indicate that the user
    cancelled the progress bar (closes: #250463).

  [ Attilio Fiandrotti ]
  * Localise back/forward buttons on frontend initialisation rather than on
    GO (closes: #347918).

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Dutch (pa_IN.po) by Amanpreet Singh Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jan 2006 15:15:30 +0000

cdebconf (0.94) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Removed no longer needed INFO() lines from the GTK frontend to prevent
    syslog pollution.
  * GTK frontend is now able to display obj->info message (closes: #341054).

  [ Tollef Fog Heen ]
  * Return DC_NOTIMPL if a question type isn't implemented, instead of

