=== debian/control ===
--- 
+++ 
@@ -1,25 +1,21 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libgtk2.0-dev, libtextwrap-dev, libdebian-installer4-dev | libdebian-installer-dev
+Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev, libdebian-installer4-dev | libdebian-installer-dev
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>
+Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.1
 
 Package: cdebconf
 Architecture: any
 Depends: ${shlibs:Depends}
 Provides: debconf-2.0
-Conflicts: debconf, debconf-doc
 Priority: extra
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
  used by some packages to prompt you for information before they are
  installed. This is a reimplementation of the original debconf version
  in C.
- .
- Installing this package is rather dangerous now. It will break debconf.
- You have been warned!
 
 Package: libdebconfclient0
 Architecture: any
@@ -70,7 +66,7 @@
 Priority: standard
 Depends: cdebconf-udeb
 XC-Package-Type: udeb
-XB-installer-menu-item: 930
+XB-Installer-Menu-Item: 930
 Description: Change debconf priority
  This is a udeb that allows you to change the priority limit for the
  questions.
@@ -136,10 +132,10 @@
  by the debian-installer.
 
 Package: cdebconf-gtk-udeb
-Architecture: any
+Architecture: disabled
 Section: debian-installer
 Priority: optional
-Depends: cdebconf-udeb, ${shlibs:Depends}
+Depends: cdebconf-udeb, ${shlibs:Depends}, rootskel-gtk (>=0.05)
 XC-Package-Type: udeb
 Description: Gtk+ frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
