=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 LIBDEBCONFDEV=libdebconfclient0-dev
 LIBDEBCONF=libdebconfclient0
 
-DEB_FRONTENDS=text newt gtk
-UDEB_FRONTENDS=text newt gtk
+DEB_FRONTENDS=text newt
+UDEB_FRONTENDS=text newt
 
 SIZEOPTFLAG=-Os
 SPEEDOPTFLAG=-O2
@@ -87,8 +87,10 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k -a
-	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb
-	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb
+	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb \
+		TARGET=deb
+	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb \
+		TARGET=udeb
 	dh_install -a --sourcedir=debian/tmp
 
 install-indep:
