## cdebconf 0.104ubuntu2

=== debian/changelog ===
cdebconf (0.104ubuntu2) edgy; urgency=low

  * Rebuild against libnewt0.52.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Jul 2006 17:26:07 +0100

cdebconf (0.104ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
    - Only remaining delta is disabling the gtkfb frontend.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 28 Jun 2006 13:35:09 +0200

cdebconf (0.104) unstable; urgency=low

  * Rebuilt with libtextwrap1 0.1-5 to get proper library udeb dependency.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jun 2006 23:51:08 -0400

cdebconf (0.103) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * GTK frontend: don't display the description for BOOLEAN questions twice.
    Closes: #370172
  * GTK frontend: manage double-clicks and ENTER or SPACEBAR presses in
    SELECT questions.

  [ Joey Hess ]
  * Newt frontend layout fixes:
    - Allow for the up to 5 extra characters of window width that can be
      needed for titles due to the sigil and whitespace around it.
    - Text and password entry boxes have continue buttons, so take the width
      of those buttons into account.
    Closes: #324495
  * Patch from Sesse to fix support for preserving utf-8 (and other)
    fields when copying to debconf database files. Closes: #361872

  [ Frans Pop ]
  * debconf-copydb.c: remove setenv statement that disables i18n support as
    that statement still causes the debconf database in /target to be trashed.

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Frans Pop <fjp@debian.org>  Wed, 21 Jun 2006 13:47:47 +0200

cdebconf (0.102ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Jun 2006 11:57:05 +0100

cdebconf (0.102) unstable; urgency=low

  * Add a dirty flag to rfc822db, so that we don't have to save databases if
    no changes occurred. Should make time between installer menu steps a lot
    shorter, since the templates database is not generally modified.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Italian (it.po) by Giuseppe Sacco
  * Northern Sami (se.po) by Børre Gaup
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Attilio Fiandrotti <fiandro@tiscali.it>  Sun, 11 Jun 2006 12:33:19 +0200

cdebconf (0.101) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Removed arrows from GTK frontend buttons as they look ugly with RTL
    languages.

  [ Christian Perrier ]
  * Split out _Choices to __Choices in templates.

  [ Max Vozeler ]
  * Add question_get_variable() function to lookup the value of template
    variables.
  * Mention plugin examples and note about using exported functions where
    possible in doc/plugins.txt.

  [ Frans Pop ]
  * Look first in /usr/lib/directfb when determining dependencies to obtain
    correct deps from cdebconf-gtk-udeb.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Safir Secerovic
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Fri, 12 May 2006 07:33:04 +0200

cdebconf (0.100) unstable; urgency=low

  [ Colin Watson ]
  * Stop processing frontend options once the config script name is
    encountered.
  * Make the confmodule pass -- as the first argument to the frontend to
    make absolutely sure that the config script doesn't get misinterpreted
    as an option.

  [ Attilio Fiandrotti ]
  * Added GTK version check at compile time to selectively enable some GTK
    frontend features.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Khmer (km.po) by hok kakada
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Cuhalev
  * Tamil (ta.po) by Damodharan Rajalingam

 -- Frans Pop <fjp@debian.org>  Mon, 10 Apr 2006 00:09:07 +0200

cdebconf (0.99) unstable; urgency=low

  * Rebuilt with new libd-i to get correct udeb library dependencies.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:44:38 -0500

cdebconf (0.98) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Workaround for a GTKDFB bug that causes first pixels of sentences
    to be sometimes cutted away, thanks to Davide Viti and Mohammed
    Adnène Trojette for finding this bug.
  * Added support for PROGRESSCANCEL command to the GTK frontend, whose
    GTK signals handling system is now asynchronous (closes: #322381).
  * Buttons in the GTK frontend are now translated also if progressbar
    is started before a question is asked (closes: #355804).
    Set to NULL a forgot pointer, updated some code comments.

  [ Joey Hess ]
  * Add shlibs line for libdebconfclient0-udeb.

