=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev, libdebian-installer4-dev | libdebian-installer-dev
+Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.1
@@ -76,7 +76,6 @@
 Section: debian-installer
 Priority: optional
 Depends: ${shlibs:Depends}, cdebconf-udeb
-Provides: libdebconfclient0
 XC-Package-Type: udeb
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
