=== debian/rules ===
--- 
+++ 
@@ -120,9 +120,10 @@
 	dh_strip -s
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -s
+	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
 	dh_installdeb -s
-	dh_shlibdeps -s
+	# Look first in /usr/lib/directfb to get correct dependencies for cdebconf-gtk
+	dh_shlibdeps -s -l/usr/lib/directfb
 	dh_gencontrol -s
 	dh_builddeb -s
