=== debian/changelog ===
cdebconf (0.111ubuntu2) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Feb 2007 09:50:03 +0000

cdebconf (0.111ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Disable gtk frontend.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Dec 2006 11:50:46 +0000

cdebconf (0.111) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * For SELECT handlers, properly manage those cases where the default option
    exists multiple times. Closes: #402661.
  * Only set the title of questions and progress bars once; reset the title of
    a progress bar after a question has been asked while one is running.

 -- Frans Pop <fjp@debian.org>  Sat, 16 Dec 2006 17:57:12 +0100

cdebconf (0.110ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Disable gtk frontend.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Dec 2006 10:20:17 +0000

cdebconf (0.110) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Create buttons in GTK frontend inactive and hide them while the
    progressbar runs. Closes: #400124.
  * Avoid crash in GTK frontend in some cases during language selection.
    Closes: #401871.

  [ Colin Watson ]
  * Restore newt progress bar refactoring, this time with an extra tweak to
    tear down the old progress bar if you attempt to start a nested progress
    bar. (Don't do that; it's not supported and trying to use the outer
    progress bar after stopping the inner one will result in cdebconf
    silently sitting there at a black screen. However, partman-auto does
    this at the moment. See #391676.)

  [ Petter Reinholdtsen ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Piarres Beobide
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 01:13:33 +0100

cdebconf (0.109ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Disable gtk frontend.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Nov 2006 12:24:13 +0000

cdebconf (0.109) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Disable the screenshot button before gtk_go() returns. Closes: #396071.
  * Change handler for BOOLEAN questions in GTK frontend to use radiobuttons
    instead of a checkbox. Closes: #395052.
  * Make sure the default choice for countrychooser/country-name is correctly
    preselected by the GTK frontend's special handler. Closes: #397877.
  * Fixed scrolling to default option in GTK frontend for SELECT questions.
    Closes: #340007.
  * Remove code belonging to ancient SELECT and BOOLEAN handlers which are
    no longer used.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 14:23:39 +0100

cdebconf (0.108) unstable; urgency=low

  * Revert refactoring of progress bar in newt frontend. Closes: #391676.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Catalan (ca.po) by Jordi Mallach
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Indonesian (id.po) by Arief S Fitrianto
  * Kurdish (ku.po) by Erdal Ronahi
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Romanian (ro.po) by Eddy Petrișor
  * Tamil (ta.po) by Damodharan Rajalingam
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 14:01:53 +0200

cdebconf (0.107) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * A double click on a tree leaf is now equivalent to selecting it and
    pressing continue. Closes: #382357.

  [ Frans Pop ]
  * cdebconf/udeb: add debconf/language template and set default language for
    the installer to "en" (#381142).

  [ Updated translations ]
  * Greek (el.po) by quad-nrg.net
  * Estonian (et.po) by Siim Põder
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Macedonian (mk.po) by Georgi Stanojevski
  * Albanian (sq.po) by Elian Myftiu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Fri,  6 Oct 2006 02:27:00 +0200

cdebconf (0.106) unstable; urgency=low

  [ Denis Barbier ]
  * Change select, multiselect and button colors for the newt interface
    when FRONTEND_BACKGROUND=dark, to improve text readability.

  [ Attilio Fiandrotti ]
  * Fix buffer overflow spotted by Aike Reyer <aike@users.sourceforge.net>
    in the GTK frontend. Closes: #386752.
  * GTK frontend: force DirectFB to reload keymap at every frontend_go() run.
    This will ensure that we have the correct keymap after the user selects
    one in kbd-chooser. This solution is a workaround until we can implement
    a reload triggered from kbd-chooser, which would be cleaner.
    Closes: #381979.

  [ Colin Watson ]
  * Refactor newt frontend to have a single common function to build the
    progress bar form, which redraws the progress bar when the
    progresscancel state changes (closes: https://launchpad.net/bugs/47733).
  * Allow Choices-C to be listed separately from Choices (etc.) in templates
    files. This lets you say "Choices: ${CHOICES-TRANS}" and "Choices-C:
    ${CHOICES}" to substitute reliably into translated and untranslated
    templates without having to ensure that ${CHOICES-TRANS} is translated
    to the same thing in every language.
  * X_LOADTEMPLATEFILE now takes an optional owner argument, passed to it by
    debconf-loadtemplate.

