=== debian/changelog ===
cdebconf (0.114) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Fix display of text in info box for gtk frontend. Closes: #408435.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen A
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:39:56 +0100

cdebconf (0.113) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * For SELECT and MULTISELECT questions, only update the debconf database if
    the user presses <Ok>. Closes: #407205.
  * Workaround for crash when performing drag'n'drop of text (experienced with
    gtk/dfb 2.8.20). Closes: #407035.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Latvian (lv.po) by Aigars Mahinovs
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:26:06 +0100

cdebconf (0.112) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * The cursor is now "I" shaped only when over a text input box, this is a
    workaround to a gtk/dfb bug. Closes: #404482.
  * Removed an old workaround due to gtk_tree_path_new_from_indices() lacking
    in gtk+ 2.0, code cleanup.

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Sat,  6 Jan 2007 10:34:56 +0100
