## cdebconf 0.114etch1

=== debian/changelog ===
cdebconf (0.114etch1) stable; urgency=low

  [ Colin Watson ]
  * Fix off-by-one error reading from confmodule (thanks, Baruch Even;
    closes: #430108).
  * Fix a bunch of reference-counting bugs and other memory leaks.
  * Fix another (large!) memory leak: parsed RFC822 stanzas were never freed.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 07 Sep 2007 13:08:17 +0200
