## cdebconf 0.117build1

=== debian/changelog ===
cdebconf (0.117build1) gutsy; urgency=low

  * Trigger rebuild for hppa

 -- LaMont Jones <lamont@ubuntu.com>  Thu, 04 Oct 2007 12:00:32 -0600

cdebconf (0.117) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * gtk.c: remove some compatibility conditions that are no longer needed.
    Closes: #427657.
  * Removed workaround for #404482, fixed upstream in gtk+ release 2.10.13.

  [ Otavio Salvador ]
  * Reduce the usage of casting to struct frontend_data on GTK frontend
    code. Closes: #426745.

  [ Colin Watson ]
  * Remove five function pointers in every struct template that always
    pointed to the same functions (or were entirely unused, in the cases of
    get and set); export those functions from template.c instead.
  * Fix off-by-one error reading from confmodule (thanks, Baruch Even;
    closes: #430108).
  * Document proposed PROGRESS REGION command.
  * Fix a bunch of reference-counting bugs and other memory leaks.
  * If DEBCONF_DROP_TRANSLATIONS is set to 1, then don't read translations
    we aren't going to use, and reload the templates database if the
    language is changed since we might not have the correct translations in
    memory any more. This saves around 20MB of memory at d-i run-time
    (closes: #329743). Note that this means that after the templates
    database is first saved (in practice, after anna has run), it will no
    longer be possible to change the language and get translated messages.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jun 2007 20:44:38 +0100

cdebconf (0.116) unstable; urgency=low

  [ Frans Pop ]
  * Increase TITLE_PADDING to 9 to allow for all extra characters around the
    title (newt frontend). Closes: #416543.

  [ Colin Watson ]
  * Restore newt help line to its original colours after displaying errors;
    compare #317354.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Mon, 21 May 2007 16:34:28 +0200

cdebconf (0.115) unstable; urgency=low

  [ Colin Watson ]
  * Add myself to debian/copyright as I have a fair bit of code in here.
  * Update copyright notice to 2007.

  [ Joey Hess ]
  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:31:15 -0400
