=== debian/control ===
--- 
+++ 
@@ -67,7 +67,7 @@
 Priority: standard
 Depends: cdebconf-udeb
 XC-Package-Type: udeb
-XB-Installer-Menu-Item: 930
+XB-Installer-Menu-Item: 93000
 Description: Change debconf priority
  This is a udeb that allows you to change the priority limit for the
  questions.
