=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 LIBDEBCONFDEV=libdebconfclient0-dev
 LIBDEBCONF=libdebconfclient0
 
-DEB_FRONTENDS=text newt
-UDEB_FRONTENDS=text newt
+DEB_FRONTENDS=text newt gtk
+UDEB_FRONTENDS=text newt gtk
 
 SIZEOPTFLAG=-Os
 SPEEDOPTFLAG=-O2
